{**********************************************}
{   TeeChart BarJoin Series Editor             }
{   Copyright (c) 1999-2020 by Steema Software }
{**********************************************}
unit TeeBarJoinEditor;
{$I TeeDefs.inc}

interface

uses {$IFNDEF LINUX}
     Windows, Messages,
     {$ENDIF}
     SysUtils, Classes,

     Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls, Buttons,

     TeeBarEdit, TeCanvas, TeePenDlg, TeeGalleryPanel;

type
  TBarJoinEditor = class(TBarSeriesEditor)
    BJoin: TButtonPen;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$IFNDEF LCL}
{$R *.DFM}
{$ELSE}
{$R *.lfm}
{$ENDIF}

Uses MyPoint;

procedure TBarJoinEditor.FormShow(Sender: TObject);
begin
  inherited;
  
  if Tag<>0 then
     BJoin.LinkPen(TBarJoinSeries(Tag).JoinPen);
end;

initialization
  RegisterClass(TBarJoinEditor);
end.
